=== debian/changelog ===
deepin-ocr (1.1.2-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 16 Aug 2023 13:58:05 +0800

deepin-ocr (1.1.2) unstable; urgency=medium

  * New version 1.1.2.

 -- xiepengfei <xiepengfei@uniontech.com>  Wed, 16 Aug 2023 11:43:41 +0800

deepin-ocr (1.1.1) unstable; urgency=medium

  * New version 1.1.1.

 -- xiepengfei <xiepengfei@uniontech.com>  Thur, 13 Apr 2023 15:08:32 +0800

deepin-ocr (1.1.0) unstable; urgency=medium

  * Use dtkocr instead of PaddleOCR-NCNN
  * Add language change

 -- TagBuilder <wangzhengyang@uniontech.com>  Fri, 10 Mar 2023 10:16:55 +0800
