=== debian/changelog ===
deepin-ocr (6.5.0) unstable; urgency=medium

  * feat: enable Qt6 build and switch to Qt6.8

 -- renbin <renbin@uniontech.com>  Mon, 20 Jan 2025 10:59:07 +0800

deepin-ocr (1.5.1) unstable; urgency=medium

  *remove env kwayland-shell  

 -- Liu zheng <liuzheng@uniontech.com>  Wed, 06 Nov 2024 15:33:24 +0800

deepin-ocr (1.5.0) unstable; urgency=medium

  * adapt treeland 

 -- Liu zheng <liuzheng@uniontech.com>  Tue, 22 Oct 2024 20:32:59 +0800
