=== debian/control ===
Source: deepin-ocr
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 11),
 cmake,
 pkg-config,
 qt6-base-dev,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 libdtk6widget-dev,
 libdtk6ocr-dev
Standards-Version: 4.1.3
Homepage: http://www.deepin.org/

Package: deepin-ocr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ocr for UOS
 Ocr is a text recognition software.
