## deepin-ocr 6.5.6

=== debian/changelog ===
deepin-ocr (6.5.6) unstable; urgency=medium

  * update version to 6.5.6 

 -- Tian ShiLin <tianshilin@uniontech.com>  Mon, 23 Jun 2025 15:06:46 +0800

deepin-ocr (6.5.5) unstable; urgency=medium

  * chore: clean up CMake configuration by removing unnecessary compiler flags

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 20 Jun 2025 17:45:00 +0800

deepin-ocr (6.5.4) unstable; urgency=medium

  * chore: update CMake configuration for non-sw_64 architectures

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 20 Jun 2025 16:37:22 +0800

deepin-ocr (6.5.3) unstable; urgency=medium

  * chore: update build dependencies in debian/control

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 19 Jun 2025 22:17:22 +0800

deepin-ocr (6.5.2) unstable; urgency=medium

  * chore: update build dependencies and CMake configuration

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 19 Jun 2025 21:58:59 +0800

deepin-ocr (6.5.1) unstable; urgency=medium

  * fix: Fixed the COR recognition crash
  * i18n: Updates for project Deepin OCR (#39)
  * chore: update translations.

 -- renbin <renbin@uniontech.com>  Thu, 17 Apr 2025 10:14:32 +0800
