## deepin-ocr 6.5.7

=== debian/changelog ===
deepin-ocr (6.5.7) unstable; urgency=medium

  * update version to 6.5.7 

 -- xiepengfei <xiepengfei@uniontech.com>  Tue, 01 Jul 2025 19:23:43 +0800
