=== src/CMakeLists.txt ===
--- 
+++ 
@@ -40,6 +40,13 @@
     endif()
 endif()
 
+if (NOT ${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wl,--as-need -fPIE")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-error=incompatible-pointer-types -fPIC")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wl,--as-need -fPIE -Wno-error=incompatible-pointer-types")
+    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie")
+endif()
+
 find_package(Qt${QT_VERSION_MAJOR} REQUIRED ${QtModule})
 
 add_definitions(${QT_DEFINITIONS})
@@ -60,11 +67,13 @@
 include_directories(view)
 include_directories(service)
 include_directories(engine)
+include_directories(util)
 
 aux_source_directory(. allSource)
 aux_source_directory(./view allSource)
 aux_source_directory(./service allSource)
 aux_source_directory(./engine allSource)
+aux_source_directory(./util allSource)
 
 # translation
 file(GLOB TargetTsFiles LIST_DIRECTORIES false ../translations/${PROJECT_NAME}*.ts)
@@ -145,9 +154,9 @@
 # for dtk
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(ocr_lib REQUIRED dtk6ocr)
+pkg_check_modules(InferenceEngine REQUIRED ncnn opencv_mobile)
 target_include_directories(${PROJECT_NAME} PUBLIC ${ocr_lib_INCLUDE_DIRS})
 find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Core Widget)
-
 if(NOT SUPPORT_QT6)
     qt5_use_modules(${PROJECT_NAME} ${QtModule})
 endif()
@@ -162,6 +171,7 @@
     Qt${QT_VERSION_MAJOR}::Widgets
     Dtk${DTK_VERSION_MAJOR}::Core
     Dtk${DTK_VERSION_MAJOR}::Widget
+    ${InferenceEngine_LIBRARIES}
     ${ocr_lib_LIBRARIES}
     pthread
 )
