=== debian/control ===
--- 
+++ 
@@ -9,7 +9,9 @@
  qt6-tools-dev,
  qt6-tools-dev-tools,
  libdtk6widget-dev,
- libdtk6ocr-dev
+ libdtk6ocr-dev,
+ libncnn-dev,
+ libopencv-mobile-dev
 Standards-Version: 4.1.3
 Homepage: http://www.deepin.org/
