## deepin-ocr 6.5.12

=== debian/changelog ===
deepin-ocr (6.5.12) unstable; urgency=medium

  * Add the OCR V5 plugin.

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 30 Oct 2025 18:42:34 +0800

deepin-ocr (6.5.11) unstable; urgency=medium

  * chore: Adjust pkg-config dependency

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Fri, 17 Oct 2025 08:35:29 +0800

deepin-ocr (6.5.10) unstable; urgency=medium

  * chore: Adjust open source license configuration

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Thu, 16 Oct 2025 17:48:00 +0800
